curl --request GET \
--url https://{controlPlaneURL}/api/ml/v1/agent-skill-versions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "inline",
"skill_md": "<string>"
},
"version": 2,
"type": "agent-skill"
},
"ml_repo_id": "<string>",
"agent_skill_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"usage_code_snippets": [
{
"display_name": "<string>",
"language": "<string>",
"code": "<string>",
"libraries": [
"<string>"
],
"icon": "<string>"
}
]
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}List agent skill versions with optional filtering by FQN, agent skill ID, ML Repo, name, or version.
curl --request GET \
--url https://{controlPlaneURL}/api/ml/v1/agent-skill-versions \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "inline",
"skill_md": "<string>"
},
"version": 2,
"type": "agent-skill"
},
"ml_repo_id": "<string>",
"agent_skill_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"usage_code_snippets": [
{
"display_name": "<string>",
"language": "<string>",
"code": "<string>",
"libraries": [
"<string>"
],
"icon": "<string>"
}
]
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
FQN filter for agent skill versions
Parent agent skill artifact ID
ML Repo ID filter
Agent skill name filter
Version number or 'latest'
Pagination offset
Page size
Was this page helpful?